Onboarding

Delete Hris Onboarding

Removes an in-progress worker by voiding unsigned DocuSign envelopes and soft-revoking their role.

POSThttps://api.toku.com/hris/delete-hris-onboarding

Not available to API keys yet. It will need people:write.

curl --request POST \
  --url 'https://api.toku.com/hris/delete-hris-onboarding' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "roleInOrgId": "string",
  "revokedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIdstring<uuid>required

Response

200Successful response
roleInOrgIdstringrequired
revokedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits